Texa DeskDevelopers

Texa Desk Application API · Messages

Delete a message

DELETE/api/v1/accounts/{account_id}/conversations/{conversation_id}/messages/{message_id}

Delete a message and it's attachments from the conversation.

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

conversation_idintegerrequired

The numeric ID of the conversation

message_idintegerrequired

The numeric ID of the message

Responses

200

Success

401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
404

The message or conversation does not exist in the account

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring